Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.scheduling
Class ReportJobsImporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseImporterModule
          com.jaspersoft.jasperserver.export.modules.scheduling.ReportJobsImporter

All Implemented Interfaces:
  ImporterModule

    public class ReportJobsImporter

extends BaseImporterModule

Version:
  $Id: ReportJobsImporter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected SchedulingModuleConfiguration` | `configuration`

Fields inherited from class com.jaspersoft.jasperserver.export.modules.BaseImporterModule
`commandOut, executionContext, importContext, indexElement, input, params`

Constructor Summary
`ReportJobsImporter()`

Method Summary
`protected boolean` | `checkReportUnit(java.lang.String uri)`
`SchedulingModuleConfiguration` | `getConfiguration()`
`protected java.lang.String` | `getJobFilename(long jobId)`
`protected java.lang.String` | `getPrependPath()`
`java.lang.String` | `getPrependPathArg()`
`protected void` | `importJob(java.lang.String newUri, ReportJobBean jobBean)`
`void` | `init(ImporterModuleContext moduleContext)`
`protected void` | `initProcess()`
`protected java.lang.String` | `prependedPath(java.lang.String uri)`
`void` | `process()`
`protected void` | `processReportUnit(java.lang.String uri)`
`void` | `setConfiguration(SchedulingModuleConfiguration configuration)`
`void` | `setPrependPathArg(java.lang.String prependPathArg)`
`protected boolean` | `userExists(java.lang.String username)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.BaseImporterModule
`deserialize, getFileInput, getId, getParameterValue, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected SchedulingModuleConfiguration configuration

Constructor Detail

### ReportJobsImporter

    public ReportJobsImporter()

Method Detail

### init

    public void init(ImporterModuleContext moduleContext)

  Specified by:
    `init` in interface `ImporterModule`
  Overrides:
    `init` in class `BaseImporterModule`

### getPrependPath

    protected java.lang.String getPrependPath()

### process

    public void process()

### initProcess

    protected void initProcess()

### processReportUnit

    protected void processReportUnit(java.lang.String uri)

### checkReportUnit

    protected boolean checkReportUnit(java.lang.String uri)

### getJobFilename

    protected java.lang.String getJobFilename(long jobId)

### userExists

    protected boolean userExists(java.lang.String username)

### importJob

    protected void importJob(java.lang.String newUri,
                             ReportJobBean jobBean)

### prependedPath

    protected java.lang.String prependedPath(java.lang.String uri)

### getConfiguration

    public SchedulingModuleConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(SchedulingModuleConfiguration configuration)

### getPrependPathArg

    public java.lang.String getPrependPathArg()

### setPrependPathArg

    public void setPrependPathArg(java.lang.String prependPathArg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.